Channels

Delete an empty archived channel

DELETE
/api/projects/{projectId}/channels/{channelId}

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Request Body

  1. body
expectedRevision*integer
Range1 <= value

Response Body

Response for status 200

application/json
  1. response
deleted*boolean
Example Request
curl -X DELETE 'https://postbot.example/api/projects/string/channels/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 1
}'
Example Response
{
  "deleted": true
}

Was this page helpful?